<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.5em;
        }

        html,
        body {
            width: 100vw;
            height: 100vh;
        }

        #container {
            margin-top: 200px;
            margin-left: 100px;
            background: chartreuse;
            width: 400px;
            height: 400px;
            position: relative;
            overflow-y: auto;
        }

        #div1 {
            background: cadetblue;
            color: white;
            position: absolute;
            top: 15px;
            right: 50px;
            width: 100px;
            height: 100px;
        }

        #div2 {
            background: cadetblue;
            color: white;
            position: fixed;
            top: 15px;
            left: 50px;
            width: 100px;
            height: 100px;
            z-index: 1;
        }

        #div3 {
            background: cadetblue;
            color: white;
            position: sticky;
            top: 15px;
            left: 50px;
            width: 100px;
            height: 100px;
        }
    </style>
</head>

<body>
    <!-- Lorem ipsum dolor sit amet consectetur adipisicing elit. Aliquam, error pariatur architecto eos animi maiores? Illum sunt nesciunt alias consequuntur, mollitia blanditiis consectetur at minus quidem soluta fugiat officia. Ipsum.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Ab quas optio eligendi beatae. Consectetur praesentium voluptatem similique error aut itaque tenetur, dignissimos neque commodi. Consequuntur aliquid illo exercitationem totam expedita!
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptatem eveniet veritatis ipsum hic cum consequuntur eum fugiat distinctio officia nulla asperiores, fuga voluptas ducimus voluptatibus cumque iure neque? Quaerat, qui.
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorum dicta deleniti quia illo, architecto nihil debitis obcaecati aut voluptatem quis repudiandae non adipisci minima facere, nemo ducimus eum recusandae sint?
    Lorem ipsum dolor sit, amet consectetur adipisicing elit. Vel suscipit numquam, totam sed quo quod porro voluptas animi nihil laboriosam saepe molestias distinctio provident harum maiores, ullam ab aliquid nulla? -->
    <div id="div2">
        2
    </div>
    <div id="container">
        <div id="div1">
            1
        </div>
        <div id="div3">
            3
        </div>
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Natus cupiditate nulla possimus, quas explicabo cumque
        ratione provident, unde inventore eius consequatur debitis et necessitatibus laborum vitae autem quo tenetur
        consectetur!
        Lorem ipsum dolor, sit amet consectetur adipisicing elit. Qui animi sunt obcaecati facilis reprehenderit magnam
        molestiae doloremque hic iusto similique corrupti distinctio, earum, nam unde doloribus! Cupiditate alias at
        accusantium?
    </div>

</body>

</html>